API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/dms/folders/{id}

PATCH/v1/dms/folders/{id}

Update a DMS folder

Request Body

NameTypBeschreibung
namestring
descriptionstring
iconstring
colorstring
sortOrderinteger
defaultDocumentTypeIdstring
retentionPolicyIdstring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/dms/folders/{id} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "sortOrder": 0,
  "defaultDocumentTypeId": "string",
  "retentionPolicyId": "string"
}'
const result = await cm.dms.patch({
  "name": "string",
  "description": "string",
  "icon": "string",
  "color": "string",
  "sortOrder": 0,
  "defaultDocumentTypeId": "string",
  "retentionPolicyId": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche